aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-greenlet/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-03-08 18:46:35 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-03-11 14:07:24 +0000
commitfbab3136c5c53e9764312b789fcf1922762c04ff (patch)
treec597cc200bc2cb5f3cd5f57505b7adf62cc53886 /testing/py-greenlet/APKBUILD
parentd0c9a4ac2a7c3a7276355affc0debfd428667182 (diff)
downloadaports-fbab3136c5c53e9764312b789fcf1922762c04ff.tar.gz
aports-fbab3136c5c53e9764312b789fcf1922762c04ff.tar.bz2
aports-fbab3136c5c53e9764312b789fcf1922762c04ff.tar.xz
testing/py-greenlet: upgrade to 0.4.0
Diffstat (limited to 'testing/py-greenlet/APKBUILD')
-rw-r--r--testing/py-greenlet/APKBUILD20
1 files changed, 12 insertions, 8 deletions
diff --git a/testing/py-greenlet/APKBUILD b/testing/py-greenlet/APKBUILD
index 2be1c61155..0cf668ddfb 100644
--- a/testing/py-greenlet/APKBUILD
+++ b/testing/py-greenlet/APKBUILD
@@ -1,25 +1,29 @@
# Maintainer: Elizabeth Jennifer Myers <elizabeth@sporksirc.net>
# Contributor: Elizabeth Jennifer Myers <elizabeth@sporksirc.net>
pkgname=py-greenlet
-pkgver=0.3.1
-pkgrel=1
+_pkgname=greenlet
+pkgver=0.4.0
+pkgrel=0
pkgdesc="Lightweight in-process concurrent programming"
url="http://pypi.python.org/pypi/greenlet"
arch="all"
license="MIT"
-depends="python"
+depends=""
makedepends="python-dev py-setuptools"
-source="http://pypi.python.org/packages/source/g/greenlet/greenlet-$pkgver.tar.gz"
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.zip"
-_builddir="$srcdir"/greenlet-$pkgver
+_builddir="$srcdir"/$_pkgname-$pkgver
build ()
{
cd "$_builddir"
- python setup.py build
+ python setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir"
+ python setup.py install --root="$pkgdir" || return 1
}
-md5sums="8d75d7f3f659e915e286e1b0fa0e1c4d greenlet-0.3.1.tar.gz"
+
+md5sums="87887570082caadc08fb1f8671dbed71 greenlet-0.4.0.zip"
+sha256sums="3f52af03bf8a89045fc159c6a76d5642349b30fb41c3df1a22b12bbd3920b1ee greenlet-0.4.0.zip"
+sha512sums="c072ceb83b3040448f0f7c8596aa134837fcc2ada5513b12fbeada4f5ae2ca5e4d4c5814c317a9270e4a0a65a02e2525dce7edad678978782013da7caa188d19 greenlet-0.4.0.zip"